package common

import (
	"net"
	"ssh-proxy/pkg/logger"
	"strconv"
	"time"
)

func CheckRemoteSSH(host string, port int, timeout int) bool {
	log := logger.ColorLogger{}
	connTimeout := time.Duration(timeout) * time.Second
	if connTimeout <= 0 {
		connTimeout = time.Second * 5
	}

	conn, err := net.DialTimeout("tcp", net.JoinHostPort(host, strconv.Itoa(port)), connTimeout)
	if err != nil {
		log.Trace("Check Remote Host SSH Fail: Host(%s:%d) %s", host, port, err)
		return false
	}
	defer conn.Close()
	return true
}
